Bug 254108 (CVE-2007-3780) - CVE-2007-3780 mysql malformed password crasher
Summary: CVE-2007-3780 mysql malformed password crasher
Status: CLOSED ERRATA
Alias: CVE-2007-3780
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tom Lane
QA Contact:
URL:
Whiteboard: impact=important,public=20070704,repo...
Keywords: Security
Depends On: 257581 257601 257621 257641 257661 257681 282471 372881
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-24 07:19 UTC by Issue Tracker
Modified: 2018-10-19 23:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-16 14:07:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0875 normal SHIPPED_LIVE Important: mysql security update 2008-01-08 00:43:24 UTC
Red Hat Product Errata RHSA-2007:0894 normal SHIPPED_LIVE Important: mysql security update 2007-09-10 15:37:28 UTC

Comment 3 Issue Tracker 2007-08-24 07:19:12 UTC
mysql-5.0.22-2.1.src.rpm
in libmysqld/sql_parse.cc and sql/sql_parse.cc, line 2006 , in 
check_connection(THD *thd), the cast propose in the patch is not done.

    *passwd++ : strlen(passwd);






Issue escalated to Support Engineering Group by: pamadio.
Internal Status set to 'Waiting on SEG'

This event sent from IssueTracker by jnansi  [Support Engineering Group]
 issue 128191

Comment 4 Issue Tracker 2007-08-24 07:19:14 UTC
Hello.

More information about mysql bug 28984 is available here:
http://lists.mysql.com/commits/28524

It looks to me like the needed modification is not applyed in our version
of the check_connection(THD *thd) function, so i have escalated this
ticket.

I'll contact you back when i have more news about this issue.

Best regards.


This event sent from IssueTracker by jnansi  [Support Engineering Group]
 issue 128191

Comment 14 Red Hat Product Security 2008-01-16 14:07:48 UTC
This issue was addressed in:

Red Hat Application Stack:
  http://rhn.redhat.com/errata/RHSA-2007-0894.html

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2007-0875.html

Fedora:
  updated to fixed upstream version




Note You need to log in before you can comment on or make changes to this bug.